×

Discussion Board

Results 1 to 3 of 3
  1. #1
    Registered User
    Join Date
    Nov 2010
    Posts
    3

    Exclamation How do I set 'Default HW\platform dependencies' in Qt Creator for qmake for the pkg?

    Item #5 on the Guide to Publishing Qt Applications for Symbian to the Ovi Store is "5.) Platform Compatibility - Modify to control the set of platforms/devices your application supports. For more info, please refer to PKG file format and Platform and Device identification codes"

    The "PKG file format" link is broken and I have not been able to find instructions on how to set this in Qt Creator.

    I was able to add the Vendor Name, as specified in #3 and #4. The "Link for more instructions" worked perfectly. I'd like something that helpful for specifying that the app is only for the N8.

    I tried appending the "Default HW\platform dependencies" line to the deployment pkg_prerules in the .pro file, but that did not work. Here is what I tried:

    Code:
    customrules.pkg_prerules = \
        "; Localised Vendor name" \
        "%{\"Digital Dandelion, Inc.\"}" \
        " " \
        "; Unique Vendor name" \
        ":\"Digital Dandelion, Inc.\"" \
        " " \
        "; Default HW/platform dependencies" \
        "[0x20029A73],0,0,0,{\"0x20029A73\"}"
    
    DEPLOYMENT += customrules
    This resulted in the line being added to the .pkg, but not overwriting the default devices that we are not supporting.

    Any help would be great appreciated!

  2. #2
    Registered User
    Join Date
    Oct 2010
    Posts
    256

    Re: How do I set 'Default HW\platform dependencies' in Qt Creator for qmake for the p

    Did you manage to resolve this?

    If you don't mind me asking, why don't you remove the unwanted dependencies by hand from the pkg file, or just add N8 to the distribution matrix when you upload the app to Nokias QA?

  3. #3
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Budapest, Hungary
    Posts
    28,752

    Re: How do I set 'Default HW\platform dependencies' in Qt Creator for qmake for the p

    According to #14 in http://discussion.forum.nokia.com/fo...ian-3-SDK-v0.9 this issue goes away from the Qt SDK after an update.

Similar Threads

  1. Replies: 2
    Last Post: 2009-10-05, 11:44
  2. Replies: 1
    Last Post: 2003-08-14, 11:35

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×